using System;

public class Program
{
    
    public static void Main()
    {
        string[] str = Console.ReadLine().Split();
        int a = int.Parse(str[0]);
        int b = int.Parse(str[1]);

        for (int i = 0; i < b; i++)
        {
            string[] str1 = Console.ReadLine().Split();
            int a1 = int.Parse(str1[0]);
            int b1 = int.Parse(str1[1]);
            int c1 = int.Parse(str1[2]);
        }

        string[] str2 = Console.ReadLine().Split();
        int a2 = int.Parse(str[0]);
        int b2 = int.Parse(str[1]);

        Console.WriteLine(1);
    }
}